<?php

namespace App\Http\Controllers;

use App\Http\Requests;
use Image;

class MediaController extends Controller
{
	/**
	 * Create a generic image
	 *
	 * @param $width
	 * @param $height
	 * @return mixed
	 */
	public function image($width,$height,$color='#ccc') {
		$io = Image::canvas($width,$height,$color);
		$io->text(sprintf('IMAGE-%sx%s',$width,$height),$width/2,$height/2,function($font) {
			$font->file(5);
			$font->align('center');
			$font->valign('middle');
		});

		return $io->response();
	}
}